Bug 1258799 - Missing Dependency
Missing Dependency
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ansible (Show other bugs)
el6
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 06:15 EDT by Paulo Sousa
Modified: 2015-11-01 12:24 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.9.3-2.fc23 ansible-1.9.4-1.el6 ansible-1.9.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-01 11:22:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Sousa 2015-09-01 06:15:56 EDT
Description of problem:
Command ansible doesn't work because of missing dependency sshpass

Version-Release number of selected component (if applicable):
1.9.2-1


How reproducible:
Run command: ansible host -m setup -u username -k


Steps to Reproduce:
1. Install ansible:
   # yum install ansible-1.9.2-1
2. Configure inventory file with one host
   # vi /etc/ansible/hosts
3.  Run command:
   $ ansible host -m setup -u username -k

Actual results:
SSH password: 
X.X.X.X | FAILED => to use the 'ssh' connection type with passwords, you must install the sshpass program


Expected results:
X.X.X.X | success >> {
    "ansible_facts": { 
(...)
Comment 1 Kevin Fenzi 2015-09-01 11:13:24 EDT
Yep we can add that. 

I'd like to do so when 1.9.3 comes out (hopefully soon) and just push the change with it.
Comment 2 Fedora Update System 2015-09-03 23:53:07 EDT
ansible-1.9.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15047
Comment 3 Fedora Update System 2015-09-03 23:54:13 EDT
ansible-1.9.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15048
Comment 4 Fedora Update System 2015-09-03 23:55:22 EDT
ansible-1.9.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15049
Comment 5 Fedora Update System 2015-09-03 23:56:16 EDT
ansible-1.9.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7924
Comment 6 Fedora Update System 2015-09-03 23:57:08 EDT
ansible-1.9.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7925
Comment 7 Fedora Update System 2015-09-04 19:18:50 EDT
ansible-1.9.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15049
Comment 8 Fedora Update System 2015-09-04 19:20:39 EDT
ansible-1.9.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15048
Comment 9 Fedora Update System 2015-09-04 19:22:41 EDT
ansible-1.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15047
Comment 10 Fedora Update System 2015-09-05 01:19:40 EDT
ansible-1.9.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7924
Comment 11 Fedora Update System 2015-09-05 01:19:44 EDT
ansible-1.9.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7925
Comment 12 Fedora Update System 2015-09-08 11:32:10 EDT
ansible-1.9.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7997
Comment 13 Fedora Update System 2015-09-08 11:32:17 EDT
ansible-1.9.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15369
Comment 14 Fedora Update System 2015-09-08 11:32:24 EDT
ansible-1.9.3-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7998
Comment 15 Fedora Update System 2015-09-08 11:32:31 EDT
ansible-1.9.3-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15370
Comment 16 Fedora Update System 2015-09-08 13:51:07 EDT
ansible-1.9.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15368
Comment 17 Fedora Update System 2015-09-08 17:21:52 EDT
ansible-1.9.3-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15370
Comment 18 Fedora Update System 2015-09-08 17:25:32 EDT
ansible-1.9.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15369
Comment 19 Fedora Update System 2015-09-09 15:19:31 EDT
ansible-1.9.3-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7998
Comment 20 Fedora Update System 2015-09-09 19:50:52 EDT
ansible-1.9.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7997
Comment 21 Fedora Update System 2015-09-17 21:31:42 EDT
ansible-1.9.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-09-17 23:50:44 EDT
ansible-1.9.3-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-09-18 14:31:46 EDT
ansible-1.9.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-10-05 12:08:15 EDT
ansible-1.9.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ba9b7739ee
Comment 25 Fedora Update System 2015-10-05 12:08:50 EDT
ansible-1.9.3-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd299a6f9f
Comment 26 Fedora Update System 2015-10-07 08:48:36 EDT
ansible-1.9.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ba9b7739ee
Comment 27 Fedora Update System 2015-10-07 08:50:33 EDT
ansible-1.9.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd299a6f9f
Comment 28 Fedora Update System 2015-10-10 15:00:57 EDT
ansible-1.9.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ba9b07c1e
Comment 29 Fedora Update System 2015-10-10 15:00:57 EDT
ansible-1.9.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0d49710dc2
Comment 30 Fedora Update System 2015-10-12 14:49:53 EDT
ansible-1.9.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ba9b07c1e
Comment 31 Fedora Update System 2015-10-12 14:50:07 EDT
ansible-1.9.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0d49710dc2
Comment 32 Fedora Update System 2015-11-01 11:22:39 EST
ansible-1.9.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2015-11-01 12:23:54 EST
ansible-1.9.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.